blinker, click, flask, itsdangerous, werkzeug: upgraded packages to upstream

Upgraded dev-python/werkzeug to version 0.15.5 on amd64
Upgraded dev-python/itsdangerous to version 0.24-r1 on amd64
Upgraded dev-python/blinker to version 1.4 on amd64
Upgraded dev-python/click to version 7.0 on amd64
Upgraded dev-python/flask to version 1.0.4 on amd64

Manually deleted files/ folder.

BUG=chromium:1049699
TEST=rebuild chroot, ran `sudo emerge flask` and `sudo emerge -cav flask` to
test package can be imported on demand.

Change-Id: Ib3f9bc800ac1578a655b1f46d35011c33daea195
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/2042363
Reviewed-by: Mike Frysinger <vapier@chromium.org>
Commit-Queue: Hirthanan Subenderan <hirthanan@google.com>
Tested-by: Hirthanan Subenderan <hirthanan@google.com>
diff --git a/dev-python/blinker/Manifest b/dev-python/blinker/Manifest
new file mode 100644
index 0000000..e0bf845
--- /dev/null
+++ b/dev-python/blinker/Manifest
@@ -0,0 +1 @@
+DIST blinker-1.4.tar.gz 111476 BLAKE2B a9ebe32bc01f7f08a5f180caa3d3830eaa10b7c0499c11ff4ceb71ed604f94dfbe4c783cc7409a57da28d6d69cc49d7861d05401802f86d054bdd2501f36cf60 SHA512 2f5f71b05c7cc27f5761ba698b05c78c8a491f5285c120e532d24be0c8256daa14e075f3f30e15fb18e7c3f16579af9378a155d058f170e3af9ffdb89e49f56e
diff --git a/dev-python/blinker/blinker-1.4.ebuild b/dev-python/blinker/blinker-1.4.ebuild
new file mode 100644
index 0000000..581cd33
--- /dev/null
+++ b/dev-python/blinker/blinker-1.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_6 pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast, simple object-to-object and broadcast signaling"
+HOMEPAGE="https://pythonhosted.org/blinker/ https://pypi.org/project/blinker/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="*"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+	nosetests -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/html/. )
+	distutils-r1_python_install_all
+}
diff --git a/dev-python/blinker/metadata.xml b/dev-python/blinker/metadata.xml
new file mode 100644
index 0000000..45a5853
--- /dev/null
+++ b/dev-python/blinker/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">blinker</remote-id>
+	</upstream>
+</pkgmetadata>
diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
new file mode 100644
index 0000000..4e9b4bf
--- /dev/null
+++ b/dev-python/click/Manifest
@@ -0,0 +1 @@
+DIST click-7.0.tar.gz 289077 BLAKE2B 0e180eeb1d7d9da34c33f95398c2b53dce124317bd2777ad545c1d4b4f3a96da0e281fac46c8fe6446848f25f7b705d2348d3ab6f5786219b4214650424ab260 SHA512 7ed2bf677f4a56f120deb61318675679a8f09c152af618e8808d24a20cc8537b0691c18b0de2e25b814c59e34b47d6f4d71191856422fc3be206de7669d78f3a
diff --git a/dev-python/click/click-7.0.ebuild b/dev-python/click/click-7.0.ebuild
new file mode 100644
index 0000000..e301b85
--- /dev/null
+++ b/dev-python/click/click-7.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="https://github.com/pallets/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://palletsprojects.com/p/click/ https://pypi.org/project/click/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="*"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+	doc? ( >=dev-python/docutils-0.14[${PYTHON_USEDEP}]
+		dev-python/pallets-sphinx-themes[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.7.5-r1[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+	# Prevent un-needed d'loading
+	sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	pytest -vv || die
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}
diff --git a/dev-python/click/metadata.xml b/dev-python/click/metadata.xml
new file mode 100644
index 0000000..54aeaa8
--- /dev/null
+++ b/dev-python/click/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">click</remote-id>
+	</upstream>
+</pkgmetadata>
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
new file mode 100644
index 0000000..a913e99
--- /dev/null
+++ b/dev-python/flask/Manifest
@@ -0,0 +1 @@
+DIST Flask-1.0.4.tar.gz 615497 BLAKE2B 4141de3754a8ce42c6978a72da80c991d13415a19946180f5fd8f08a1827209be605ec10283b78841bee94c5a2036b8e6083187a3e68c188fde93cb702a6d645 SHA512 2ed45ebdef80fe354a0a221f991560e17c442550f667fb76dd9c9631428fe8b6686127504f4ee81fcc6748f99cd376bed7a1ff4e0a9ae913cd70c9f5f4ac1c61
diff --git a/dev-python/flask/flask-1.0.4.ebuild b/dev-python/flask/flask-1.0.4.ebuild
new file mode 100644
index 0000000..75118e2
--- /dev/null
+++ b/dev-python/flask/flask-1.0.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+HOMEPAGE="https://github.com/pallets/flask/"
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+if [[ ${PV} == *9999* ]]; then
+	EGIT_REPO_URI="https://github.com/mitsuhiko/flask.git"
+	inherit git-r3
+else
+	SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+	KEYWORDS="*"
+	S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/click[${PYTHON_USEDEP}]
+	dev-python/blinker[${PYTHON_USEDEP}]
+	dev-python/itsdangerous[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.10[${PYTHON_USEDEP}]
+	>=dev-python/werkzeug-0.15[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+	# Prevent un-needed d'loading
+	sed -e "s/ 'sphinx.ext.intersphinx',//" -i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	PYTHONPATH=${S}/examples/flaskr:${S}/examples/minitwit${PYTHONPATH:+:${PYTHONPATH}} \
+		py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	use examples && dodoc -r examples
+	use doc && HTML_DOCS=( docs/_build/html/. )
+
+	distutils-r1_python_install_all
+}
diff --git a/dev-python/flask/metadata.xml b/dev-python/flask/metadata.xml
new file mode 100644
index 0000000..0d86093
--- /dev/null
+++ b/dev-python/flask/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">Flask</remote-id>
+		<remote-id type="github">mitsuhiko/flask</remote-id>
+	</upstream>
+</pkgmetadata>
diff --git a/dev-python/itsdangerous/Manifest b/dev-python/itsdangerous/Manifest
new file mode 100644
index 0000000..6c391f2
--- /dev/null
+++ b/dev-python/itsdangerous/Manifest
@@ -0,0 +1 @@
+DIST itsdangerous-0.24.tar.gz 46541 BLAKE2B 835a459128188083ea048fa26ecfba1e01b67618838230f9cc53b93afe540a38856b48d6deb404f19564fe79390d109bc3c7eb8738e83ba828f21a33aa94b050 SHA512 2863b6e5fda178db59bd214c6d24d04422c1021bb41bf11598aba1cbc43053aff3bb1e0539940b5769de04b68c03e8bd01d728dcbfc4bd0ba05867688574a297
diff --git a/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild b/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild
new file mode 100644
index 0000000..8c599f2
--- /dev/null
+++ b/dev-python/itsdangerous/itsdangerous-0.24-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Various helpers to pass trusted data to untrusted environments and back"
+HOMEPAGE="https://pythonhosted.org/itsdangerous/ https://pypi.org/project/itsdangerous/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="*"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# Required for running tests.py
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_test() {
+	if python_is_python3; then
+		2to3 -f unicode -nw --no-diffs tests.py
+	fi
+	"${PYTHON}" tests.py || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/itsdangerous/metadata.xml b/dev-python/itsdangerous/metadata.xml
new file mode 100644
index 0000000..60d7373
--- /dev/null
+++ b/dev-python/itsdangerous/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>python@gentoo.org</email>
+    <name>Python</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">itsdangerous</remote-id>
+  </upstream>
+</pkgmetadata>
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
new file mode 100644
index 0000000..08bf563
--- /dev/null
+++ b/dev-python/werkzeug/Manifest
@@ -0,0 +1 @@
+DIST Werkzeug-0.15.5.tar.gz 926570 BLAKE2B 39d68f7ea2f99ffa60f5a2af7ebf8a01e68a83e32106abd8fcbba3a5402bf6c6c02f7bb9b84cd483aa061bb065a0f2f6d809db55a2f6950996d70cf62a620520 SHA512 e2980b649db0c246fa87b94972f1a1e00b19f20a90e34733267cb50b0d1c8e83701f4bde3e466f9f12243c47b3cc40c6977e63164f18ee5e518b75e952988edd
diff --git a/dev-python/werkzeug/metadata.xml b/dev-python/werkzeug/metadata.xml
new file mode 100644
index 0000000..cc1d62c
--- /dev/null
+++ b/dev-python/werkzeug/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>python@gentoo.org</email>
+    <name>Python</name>
+  </maintainer>
+  <longdescription>
+  Werkzeug is a WSGI utility library. It can serve as the basis for a
+  custom framework.
+</longdescription>
+  <upstream>
+    <remote-id type="pypi">Werkzeug</remote-id>
+  </upstream>
+</pkgmetadata>
diff --git a/dev-python/werkzeug/werkzeug-0.15.5.ebuild b/dev-python/werkzeug/werkzeug-0.15.5.ebuild
new file mode 100644
index 0000000..59d4f0a
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-0.15.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="Werkzeug"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="http://werkzeug.pocoo.org/ https://pypi.org/project/Werkzeug/ https://github.com/pallets/werkzeug"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="*"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/simplejson[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+python_compile() {
+	distutils-r1_python_compile
+}
+
+python_test() {
+	pytest -vv tests || die "Tests failed under ${EPYTHON}"
+}
diff --git a/metadata/md5-cache/dev-python/blinker-1.4 b/metadata/md5-cache/dev-python/blinker-1.4
new file mode 100644
index 0000000..a2bbc0c
--- /dev/null
+++ b/metadata/md5-cache/dev-python/blinker-1.4
@@ -0,0 +1,15 @@
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=test? ( dev-python/nose[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-)] ) python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-)]
+DESCRIPTION=Fast, simple object-to-object and broadcast signaling
+EAPI=5
+HOMEPAGE=https://pythonhosted.org/blinker/ https://pypi.org/project/blinker/
+IUSE=doc test python_targets_pypy3 python_targets_python2_7 python_targets_python3_6
+KEYWORDS=*
+LICENSE=MIT
+RDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-)]
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 )
+RESTRICT=!test? ( test )
+SLOT=0
+SRC_URI=mirror://pypi/b/blinker/blinker-1.4.tar.gz
+_eclasses_=distutils-r1	71a5ee567fb298e553ce8d1319279151	eutils	06133990e861be0fe60c2b428fd025d9	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multiprocessing	e32940a7b2a9992ad217eccddb84d548	python-r1	ce1cd23cfdc1848e8e32743efe34f299	python-utils-r1	931c328767d245c08a16a3f87be9ce9c	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
+_md5_=461a6e9f45a89641c1565a4dd9587060
diff --git a/metadata/md5-cache/dev-python/click-7.0 b/metadata/md5-cache/dev-python/click-7.0
new file mode 100644
index 0000000..cc34bc8
--- /dev/null
+++ b/metadata/md5-cache/dev-python/click-7.0
@@ -0,0 +1,16 @@
+BDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] test? ( dev-python/pytest[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] ) doc? ( >=dev-python/docutils-0.14[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/pallets-sphinx-themes[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/sphinx-1.7.5-r1[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] )
+DESCRIPTION=A Python package for creating beautiful command line interfaces
+EAPI=7
+HOMEPAGE=https://palletsprojects.com/p/click/ https://pypi.org/project/click/
+IUSE=doc examples test python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7
+KEYWORDS=*
+LICENSE=BSD
+RDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 )
+RESTRICT=!test? ( test )
+SLOT=0
+SRC_URI=https://github.com/pallets/click/archive/7.0.tar.gz -> click-7.0.tar.gz
+_eclasses_=distutils-r1	71a5ee567fb298e553ce8d1319279151	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multiprocessing	e32940a7b2a9992ad217eccddb84d548	python-r1	ce1cd23cfdc1848e8e32743efe34f299	python-utils-r1	931c328767d245c08a16a3f87be9ce9c	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
+_md5_=e409169b0751a392d6764f38ca443493
diff --git a/metadata/md5-cache/dev-python/flask-1.0.4 b/metadata/md5-cache/dev-python/flask-1.0.4
new file mode 100644
index 0000000..c454189
--- /dev/null
+++ b/metadata/md5-cache/dev-python/flask-1.0.4
@@ -0,0 +1,16 @@
+BDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=dev-python/click[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/blinker[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/itsdangerous[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/jinja-2.10[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/werkzeug-0.15[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] doc? ( dev-python/sphinx[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] ) test? ( dev-python/pytest[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] )
+DESCRIPTION=A microframework based on Werkzeug, Jinja2 and good intentions
+EAPI=7
+HOMEPAGE=https://github.com/pallets/flask/
+IUSE=doc examples test python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7
+KEYWORDS=*
+LICENSE=BSD
+RDEPEND=dev-python/click[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/blinker[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/itsdangerous[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/jinja-2.10[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/werkzeug-0.15[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 )
+RESTRICT=!test? ( test )
+SLOT=0
+SRC_URI=mirror://pypi/F/Flask/Flask-1.0.4.tar.gz
+_eclasses_=distutils-r1	71a5ee567fb298e553ce8d1319279151	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multiprocessing	e32940a7b2a9992ad217eccddb84d548	python-r1	ce1cd23cfdc1848e8e32743efe34f299	python-utils-r1	931c328767d245c08a16a3f87be9ce9c	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
+_md5_=4ef1034ce58f10d6774214c752cac821
diff --git a/metadata/md5-cache/dev-python/itsdangerous-0.24-r1 b/metadata/md5-cache/dev-python/itsdangerous-0.24-r1
new file mode 100644
index 0000000..ba569d6
--- /dev/null
+++ b/metadata/md5-cache/dev-python/itsdangerous-0.24-r1
@@ -0,0 +1,15 @@
+BDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+DESCRIPTION=Various helpers to pass trusted data to untrusted environments and back
+EAPI=7
+HOMEPAGE=https://pythonhosted.org/itsdangerous/ https://pypi.org/project/itsdangerous/
+IUSE=python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7
+KEYWORDS=*
+LICENSE=BSD
+RDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 )
+SLOT=0
+SRC_URI=mirror://pypi/i/itsdangerous/itsdangerous-0.24.tar.gz
+_eclasses_=distutils-r1	71a5ee567fb298e553ce8d1319279151	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multiprocessing	e32940a7b2a9992ad217eccddb84d548	python-r1	ce1cd23cfdc1848e8e32743efe34f299	python-utils-r1	931c328767d245c08a16a3f87be9ce9c	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
+_md5_=fb2eb8cec6f2d395269a6d9bc112b76c
diff --git a/metadata/md5-cache/dev-python/werkzeug-0.15.5 b/metadata/md5-cache/dev-python/werkzeug-0.15.5
new file mode 100644
index 0000000..425c2df
--- /dev/null
+++ b/metadata/md5-cache/dev-python/werkzeug-0.15.5
@@ -0,0 +1,16 @@
+BDEPEND=python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=dev-python/simplejson[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] test? ( dev-python/requests[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/pytest[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] dev-python/pytest-xprocess[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] )
+DESCRIPTION=Collection of various utilities for WSGI applications
+EAPI=7
+HOMEPAGE=http://werkzeug.pocoo.org/ https://pypi.org/project/Werkzeug/ https://github.com/pallets/werkzeug
+IUSE=test python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7
+KEYWORDS=*
+LICENSE=BSD
+RDEPEND=dev-python/simplejson[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] python_targets_pypy3? ( >=dev-python/pypy3-5:0= ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
+REQUIRED_USE=|| ( python_targets_pypy3 python_targets_python2_7 python_targets_python3_6 python_targets_python3_7 )
+RESTRICT=!test? ( test )
+SLOT=0
+SRC_URI=mirror://pypi/W/Werkzeug/Werkzeug-0.15.5.tar.gz
+_eclasses_=distutils-r1	71a5ee567fb298e553ce8d1319279151	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multiprocessing	e32940a7b2a9992ad217eccddb84d548	python-r1	ce1cd23cfdc1848e8e32743efe34f299	python-utils-r1	931c328767d245c08a16a3f87be9ce9c	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
+_md5_=af5f6ba9cf1d2ab0039072e19655e09b